Last modified: 2009-09-04 23:05:30 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 19133 - Maintenance script cleanup
Maintenance script cleanup
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Maintenance scripts (Other open bugs)
unspecified
All All
: Normal enhancement with 1 vote (vote)
: ---
Assigned To: Chad H.
http://www.mediawiki.org/wiki/User:^d...
: patch
Depends on: 11867 14201 16322 18566 18768 18855 18930 19157 19593
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-08 18:37 UTC by Chad H.
Modified: 2009-09-04 23:05 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Patch against trunk, r53514 (387.64 KB, patch)
2009-07-20 02:18 UTC, Chad H.
Details
Updated patch (421.41 KB, patch)
2009-07-20 02:53 UTC, Chad H.
Details

Description Chad H. 2009-06-08 18:37:38 UTC
Putting this in because it's long been a pipe dream of mine...

It would be nice if we eventually got around to cleaning up the maintenance scripts. Some of them don't even work anymore, some are obsolete and should be clearly marked as such.

It would be nice to migrate them all to a unified format (maybe an abstract Maintenance class that various scripts can implement.
Comment 1 Chad H. 2009-06-09 17:04:10 UTC
List of the ultimate goals:

1) Remove/archive and scripts that aren't needed
2) Cleanup scripts to use a unified system. Implementation idea: abstract Maintenance class with an execute() method for children to implement. Unify global parameters such as --quiet, --help, and the db ones (cf bug 16322)
3) Clean up database usage in the scripts. Right now we have a hodgepodge of creating our own adapter (see X and Y) and properly using wfGetDB(). We should unify this to the latter.

I have the basic start of a patch for #2, just missing a few features. Ports all of the commandLine.inc code to it, plus some extra goodies. Will attach when ready.
Comment 2 Chad H. 2009-06-09 17:08:02 UTC
X and Y were supposed to be backup.inc, rebuildall.php, convertLinks.inc, etc etc.
Comment 3 Chad H. 2009-06-10 03:45:06 UTC
See r51675-77 for the start of this.
Comment 4 Chad H. 2009-06-17 04:56:44 UTC
Assigning to me, should've been that way already. Also adding URL to page on MW.org. I encourage people to read and comment on this, as I would like a wide range of input.
Comment 5 Chad H. 2009-06-24 02:03:35 UTC
Merged current work in r52336. Still needs work, but the framework should be in place to keep going.
Comment 6 Chad H. 2009-06-28 15:26:20 UTC
Tweaking dependencies.
Comment 7 Chad H. 2009-07-20 02:18:02 UTC
Created attachment 6369 [details]
Patch against trunk, r53514

Doesn't complete everything, but implements the vast majority of the work. Merges cleanly against r53514. commandLine.inc is _untouched_ at this point, so everything relying on it should still work 100%.
Comment 8 Chad H. 2009-07-20 02:53:30 UTC
Created attachment 6370 [details]
Updated patch

Minor tweaks, against r53521
Comment 9 Brion Vibber 2009-08-05 17:16:17 UTC
Can we consider this FIXED with the merge of the maintenance work branch or are there still open issues?
Comment 10 Chad H. 2009-08-05 17:25:13 UTC
Hmmm, I guess we could. This bug was a tracker for general cleanup & the merge. Most of the remaining blockers I didn't add anyway.
Comment 11 Chad H. 2009-09-04 23:05:30 UTC
Closing this out. We've merged and cleaned up most of the issues. The few straggling blockers can be cleaned up without this tracker :)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links